
<?php
 
    /* CADASTROS RECENTES */
	$select_db->ExeRead("*",  'fid_clientes', " ORDER BY fid_id desc", "");


?>	   
    
<div class="col-md-12">
<div class="row" style="background-color: #e8e8e8; margin-bottom: 15px">
            <div class="col-md-9">
                <h3 style="margin: 0">
                    <i class="fa fa-user color1"></i>
                     Resgatar pontos de algum cliente 
                </h3>
            </div>
            	<div class="col-md-3" style="margin-top:10px">
			<button type="button" class="simple-btn" onclick="TerminalAdmin.dashboard();">Voltar para Dashboard</button>
		</div>
     </div>
</div>
              
<div class="widgets-holder">
        <div class="row">
            <div class="masonary" style="position: relative; height: 121.8px;">
               
                 <form action="" id="formPontos">
                  <div class="col-md-4">

          <label>Pontos a ser subtraído :</label>
            <input name="valor" id="valor" placeholder="100" onkeyup="Pontos.check_cliente()" maxlength="11" class="form-control" type="text" disabled>

                </div>
               
               
     <div class="col-md-4">

<label>CPF:</label>

<select name="cpf" id="estado" class="form-control" onChange="carregarDadosResgate(this.value)">
<?php 
						
for($i=0;$i<count($select_db->getResult());$i++){

	echo '<option value="'.$select_db->getResult()[$i]['fid_cpf'].'" title="'.$select_db->getResult()[$i]['fid_nome'].'">'.$select_db->getResult()[$i]['fid_cpf'].'</option>';

	
} 
						
 ?>   
 
</select>

                </div>
   
     
        <div class="col-md-4" style="margin-top: 20px">
       
            <span>Cliente: </span> <strong id="mostrarname">Selecione o cliente!</strong>
          
		</div>
    
     <div class="col-md-12" style="margin-top: 20px" align="center">
     
     <div style="background: rgba(255,255,255,0.6); width: 170px; height: 170px; border-radius: 50%; text-align: center; border: 1px solid #ccc;"><br><br>

     <span>Pontos : </span><h1 id="pontos">0.00</h1>
     </div>
     
	 </div>
     
      <input type="hidden" name="subtrair-pontos" />
      
       </form>
           
                <div class="col-md-12">

                    <button type="button" class="btn btn-success btn-lg" onclick="VerificarResgate()">
                        <i class="fa fa-plus"></i> Resgatar
                    </button>

                </div>

            </div><!-- Masonary -->
        </div>
    </div>

<script type="text/javascript">

	
	function VerificarResgate(){
		
		valor = jQuery('#valor').val();
		
		if(valor == ''){
			
			alert('Selecione um Cliente que contenha Pontos!');
	
		}else{
			
			valor = valor.replace(" ", "");
			valor = valor.replace("R$", "");
			valor = valor.replace(".", "");
			valor = valor.replace(",", "");
			valor = valor.replace("-", "");
			
			valor = Number( valor );
			
			pontos = Number(jQuery('#pontos').html());
			
			if(valor > pontos){
				
				alert('O cliente não tem pontos suficientes para a subtração!')
				
			}else{
			
			   TerminalAdmin.resgatarPontos();
				
			}
			
		}
		
		
	}

	function carregarDadosResgate(cpf){
		
		
		$.ajax({
            type:   'GET',
             url:    BASE_URL,
             data:   'getdados-resgate='+cpf,
             success: function(d){
				 
				 resultado = d.split(',');
				 
				 pontos = Number( resultado[1] );
				 
				 if(pontos > 0){
					 
				jQuery("#valor").prop('disabled', false);
				 
				 jQuery('#mostrarname').html(resultado[0]);
				 jQuery('#pontos').html(resultado[1]);
					 
				 }else{
					 
					jQuery('#valor').val(''); 
					jQuery("#valor").prop('disabled', true);
				 
				 jQuery('#mostrarname').html(resultado[0]);
				 jQuery('#pontos').html('0.00'); 
					 
				 }
				 

            }
        });
		
	}
	
$("#estado").select2({

        formatResult : function(item) {
            var markup = '<div class="row">' +
                 '<div class="col-lg-12">' + item.text + '</div>' +
                 '</div>' +
                 '<div class="row">' +
                 '<div class="col-lg-12">' + item.element[0].title + '</div>' +
                 '</div>';

              return markup;
			
                }
});

</script>
    
      